Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle
Interface BuildListener

    interface BuildListener

A `BuildListener` is notified of the major lifecycle events as a org.gradle.Gradle instance executes a build.

author:
  Hans Dockter

see:
  Gradle#addBuildListener(BuildListener)

Method Summary
`void` | `buildFinished(BuildResult result)` Called when the build is completed.
`void` | `buildStarted(StartParameter startParameter)` Called when the build is started.
`void` | `projectsEvaluated(Build build)` Called when all projects for the build have been evaluated.
`void` | `projectsLoaded(Build build)` Called when the projects for the build have been created from the settings.
`void` | `settingsEvaluated(Settings settings)` Called when the build settings have been loaded and evaluated.
`void` | `taskGraphPopulated(TaskExecutionGraph graph)` Called when the task graph for the build has been populated.

Method Detail

### buildFinished

    public void buildFinished(BuildResult result)

  Called when the build is completed. All selected tasks have been executed.

  param:
    result The result of the build. Never null.

### buildStarted

    public void buildStarted(StartParameter startParameter)

  Called when the build is started.

  param:
    startParameter The org.gradle.StartParameter used to create the Gradle instance. Never null.

### projectsEvaluated

    public void projectsEvaluated(Build build)

  Called when all projects for the build have been evaluated. The project objects are fully configured and are ready to use to populate the task graph.

  param:
    build The build which has been evaluated. Never null.

### projectsLoaded

    public void projectsLoaded(Build build)

  Called when the projects for the build have been created from the settings. None of the projects have been evaluated.

  param:
    build The build which has been loaded. Never null.

### settingsEvaluated

    public void settingsEvaluated(Settings settings)

  Called when the build settings have been loaded and evaluated. The settings object is fully configured and is ready to use to load the build projects.

  param:
    settings The settings. Never null.

### taskGraphPopulated

    public void taskGraphPopulated(TaskExecutionGraph graph)

  Called when the task graph for the build has been populated. The task graph is fully configured and is ready to use to execute the tasks which make up the build.

  param:
    graph The task graph. Never null.

Groovy Documentation